List your uploaded media
curl --request GET \
--url https://mvp.tryunsora.com/api/v1/uploads \
--header 'Authorization: Bearer <token>'import requests
url = "https://mvp.tryunsora.com/api/v1/uploads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mvp.tryunsora.com/api/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mvp.tryunsora.com/api/v1/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mvp.tryunsora.com/api/v1/uploads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mvp.tryunsora.com/api/v1/uploads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mvp.tryunsora.com/api/v1/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"uploads": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"mimeType": "<string>",
"type": "IMAGE",
"fileSize": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}
}Uploads
List uploads
Paginated list of your uploaded media assets, including file type, size, and URLs, ready to attach to posts and generation jobs.
GET
/
uploads
List your uploaded media
curl --request GET \
--url https://mvp.tryunsora.com/api/v1/uploads \
--header 'Authorization: Bearer <token>'import requests
url = "https://mvp.tryunsora.com/api/v1/uploads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mvp.tryunsora.com/api/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mvp.tryunsora.com/api/v1/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mvp.tryunsora.com/api/v1/uploads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mvp.tryunsora.com/api/v1/uploads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mvp.tryunsora.com/api/v1/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"uploads": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"mimeType": "<string>",
"type": "IMAGE",
"fileSize": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}
}Returns your uploaded assets (newest first), paginated with
page and limit
(max 100). This includes files you uploaded or imported and the media URLs you
passed to Create post, which are stored as
uploads too. Generated media lives on its own generation endpoints.
